From c2f164213ae90b29ca155ce72526e5c750b4c15d Mon Sep 17 00:00:00 2001
From: Ashutosh Bapat <ashutosh.bapat@enterprisedb.com>
Date: Thu, 10 May 2018 10:58:00 +0530
Subject: [PATCH 02/10] Add a warning message when creating
 EEOP_INNER/OUTER_SYSVAR opcode.

Should be removed later.
---
 src/backend/executor/execExpr.c |    2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/backend/executor/execExpr.c b/src/backend/executor/execExpr.c
index e284fd7..0b91f3c 100644
--- a/src/backend/executor/execExpr.c
+++ b/src/backend/executor/execExpr.c
@@ -673,9 +673,11 @@ ExecInitExprRec(Expr *node, ExprState *state,
 					{
 						case INNER_VAR:
 							scratch.opcode = EEOP_INNER_SYSVAR;
+							elog(WARNING, "accessing inner sysvar");
 							break;
 						case OUTER_VAR:
 							scratch.opcode = EEOP_OUTER_SYSVAR;
+							elog(WARNING, "accessing outer sysvar");
 							break;
 
 							/* INDEX_VAR is handled by default case */
-- 
1.7.9.5

